<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'roshan',

    /*
     * Package.
     */
    'package'   => 'roshan',

    /*
     * Modules.
     */
    'modules'   => ['roshan'],


    'roshan'       => [
        'model'             => 'Roshan\Roshan\Models\Roshan',
        'table'             => 'roshans',
        'presenter'         => \Roshan\Roshan\Repositories\Presenter\RoshanItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'user',  'email'],
        'translate'         => ['user',  'email'],

        'upload-folder'     => '/uploads/roshan/roshan',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
