<?php

// Admin web routes  for roshan
Route::group(['prefix' => trans_setlocale().'/admin/roshan'], function () {
    Route::resource('roshan', 'Roshan\Roshan\Http\Controllers\RoshanAdminWebController');
});

// Admin API routes  for roshan
Route::group(['prefix' => trans_setlocale().'api/v1/admin/roshan'], function () {
    Route::resource('roshan', 'Roshan\Roshan\Http\Controllers\RoshanAdminApiController');
});

// User web routes for roshan
Route::group(['prefix' => trans_setlocale().'/user/roshan'], function () {
    Route::resource('roshan', 'Roshan\Roshan\Http\Controllers\RoshanUserWebController');
});

// User API routes for roshan
Route::group(['prefix' => trans_setlocale().'api/v1/user/roshan'], function () {
    Route::resource('roshan', 'Roshan\Roshan\Http\Controllers\RoshanUserApiController');
});

// Public web routes for roshan
Route::group(['prefix' => trans_setlocale().'/roshans'], function () {
    Route::get('/', 'Roshan\Roshan\Http\Controllers\RoshanPublicWebController@index');
    Route::get('/{slug?}', 'Roshan\Roshan\Http\Controllers\RoshanPublicWebController@show');
});

// Public API routes for roshan
Route::group(['prefix' => trans_setlocale().'api/v1/roshans'], function () {
    Route::get('/', 'Roshan\Roshan\Http\Controllers\RoshanPublicApiController@index');
    Route::get('/{slug?}', 'Roshan\Roshan\Http\Controllers\RoshanPublicApiController@show');
});

