<?php

namespace Roshan\Roshan\Repositories\Eloquent;

use Roshan\Roshan\Interfaces\RoshanRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class RoshanRepository extends BaseRepository implements RoshanRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.roshan.roshan.model');
    }
}
